-- DBCC PAGE example, using database etc from the blog post link on Slide 22
--

EXEC sp_detach_db 'dbccpagetest', TRUE;
GO

-- Attach the test database
--
CREATE DATABASE dbccpagetest
ON (FILENAME='C:\Documents and Settings\prandal\Desktop\E2E Demos\dbccpagetest.mdf')
FOR ATTACH;
GO

-- Force the output to the console rather than
-- the error log.
--
DBCC TRACEON (3604);
GO

-- Hex dump of each record plus interpretation
-- of the offset table.
--
DBCC PAGE (dbccpagetest, 1, 152, 1);
GO

-- Hex dump of the whole page plus interpretation
-- of the offset table.
--
DBCC PAGE (dbccpagetest, 1, 152, 2);
GO

-- Full interpretation of the records.
--
DBCC PAGE (dbccpagetest, 1, 152, 3);
GO